----------------------------------------------------------------------------------------------------
-- DotFocus
-- Author: Snowcloud (Micâh - Antonidas)
-- Codebase by: Meranannon (Insane - Vol'jin)
----------------------------------------------------------------------------------------------------

local DF = DOF_namespace
local _

DF.DOF_animaticsListDefaut ={
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 0,
		["FX_start_width"] = 0,
		["FX_chakerpower"] = 0,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Eclipse_Sun",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 0,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0,
		["FX_start_scale"] = 1,
		["FX_timerenable"] = false,
		["FX_angle"] = 0,
		["FX_speed"] = 15,
		["FX_height"] = 128,
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = 128,
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 1,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 0,
		["FX_start_alpha"] = 0,
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_name"] = "FlipFlap",
		["FX_rotatespeed"] = 0,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_timerposy"] = 0,
		["FX_mode"] = "blend",
		["FX_start_posx"] = 0,
		["FX_end_alpha"] = 0,
	}, -- [1]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 0,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 1.5,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Interface\\AddOns\\DotFocus\\datas\\fx_ooc.tga",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0,
		["FX_start_scale"] = 0,
		["FX_timerenable"] = false,
		["FX_angle"] = 0,
		["FX_speed"] = 50,
		["FX_height"] = "200",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "650",
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 3,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 0,
		["FX_start_alpha"] = 0,
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_name"] = "SpotLight",
		["FX_rotatespeed"] = 0.55,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_timerposy"] = 0,
		["FX_mode"] = "ADD",
		["FX_start_posx"] = 0,
		["FX_end_alpha"] = 0,
	}, -- [2]
	{
		["FX_start_posy"] = -40,
		["FX_end_posx"] = 0,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 0,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Eclipse_Sun",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 0,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0,
		["FX_start_scale"] = 1.25,
		["FX_timerenable"] = false,
		["FX_angle"] = 0,
		["FX_speed"] = 8,
		["FX_height"] = 128,
		["FX_pulsepowerX"] = 2,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = 128,
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 1,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 0,
		["FX_start_alpha"] = 0,
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 300,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 2,
		["FX_name"] = "GoUp",
		["FX_rotatespeed"] = -0.15,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_timerposy"] = 0,
		["FX_mode"] = "blend",
		["FX_start_posx"] = 0,
		["FX_end_alpha"] = 0,
	}, -- [3]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 0,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 0,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\GenericTop_01",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 4.5,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0,
		["FX_start_scale"] = 0,
		["FX_timerenable"] = false,
		["FX_angle"] = 0,
		["FX_speed"] = 4,
		["FX_height"] = 128,
		["FX_pulsepowerX"] = 30,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = 128,
		["FX_start_posx"] = 0,
		["FX_mode"] = "BLEND",
		["FX_timerposy"] = 0,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 0,
		["FX_name"] = "Spiral",
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 4.5,
		["FX_start_alpha"] = 0,
		["FX_rotatespeed"] = -4.15,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 30,
		["FX_end_scale"] = 3,
		["FX_middle_posx"] = 0,
		["FX_timerscale"] = 0.85,
		["FX_end_alpha"] = 0,
	}, -- [4]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 30,
		["FX_start_width"] = 0,
		["FX_chakerpower"] = 0,
		["FX_timerposx"] = 0,
		["FX_end_scale"] = 1,
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0,
		["FX_start_scale"] = 1,
		["FX_timerenable"] = false,
		["FX_angle"] = 180,
		["FX_height"] = "128",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 0,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "128",
		["FX_middle_posx"] = 0,
		["FX_start_posx"] = -30,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 0,
		["FX_name"] = "Eclipse",
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_start_alpha"] = 0,
		["FX_rotatespeed"] = 0,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_speed"] = 6,
		["FX_timerposy"] = 0,
		["FX_timerscale"] = 0.85,
		["FX_end_alpha"] = 0,
	}, -- [5]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 0,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 1.75,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Eclipse_Sun",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0.5,
		["FX_start_scale"] = 1,
		["FX_timerenable"] = false,
		["FX_angle"] = 0,
		["FX_speed"] = 30,
		["FX_height"] = "128",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "128",
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 1,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 13.5,
		["FX_start_alpha"] = 0,
		["FX_timerposy"] = 0,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_name"] = "HeartBeat",
		["FX_rotatespeed"] = 0,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_middle_scale"] = 1,
		["FX_mode"] = "BLEND",
		["FX_start_posx"] = 0,
		["FX_end_alpha"] = 0,
	}, -- [6]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 160,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 1,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Eclipse_Sun",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0.2,
		["FX_start_scale"] = 1,
		["FX_timerenable"] = false,
		["FX_angle"] = 10,
		["FX_speed"] = 60,
		["FX_height"] = "128",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "128",
		["FX_start_posx"] = -160,
		["FX_mode"] = "BLEND",
		["FX_middle_scale"] = 1,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 22,
		["FX_name"] = "FromLeft",
		["FX_timerposy"] = 0,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_start_alpha"] = 0,
		["FX_rotatespeed"] = 0,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_end_scale"] = 1,
		["FX_middle_posx"] = 0,
		["FX_timerscale"] = 0.85,
		["FX_end_alpha"] = 0,
	}, -- [7]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = -160,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 1,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Eclipse_Sun",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0.2,
		["FX_start_scale"] = 1,
		["FX_timerenable"] = false,
		["FX_angle"] = 10,
		["FX_speed"] = 60,
		["FX_height"] = "128",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "128",
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 1,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 22,
		["FX_start_alpha"] = 0,
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_name"] = "FromRight",
		["FX_rotatespeed"] = 0,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_timerposy"] = 0,
		["FX_mode"] = "BLEND",
		["FX_start_posx"] = 160,
		["FX_end_alpha"] = 0,
	}, -- [8]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 0,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 0,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Eclipse_Sun",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0.6,
		["FX_start_scale"] = 1,
		["FX_timerenable"] = false,
		["FX_angle"] = 10,
		["FX_speed"] = 10,
		["FX_height"] = "128",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "128",
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 1,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 0,
		["FX_start_alpha"] = 0,
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_name"] = "SmoothFading",
		["FX_rotatespeed"] = 0.05,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_timerposy"] = 0,
		["FX_mode"] = "BLEND",
		["FX_start_posx"] = 0,
		["FX_end_alpha"] = 0,
	}, -- [9]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 0,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 1,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Eclipse_Sun",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0.2,
		["FX_start_scale"] = 2.5,
		["FX_timerenable"] = false,
		["FX_angle"] = 10,
		["FX_speed"] = 60,
		["FX_height"] = "128",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "128",
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 0,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 18,
		["FX_start_alpha"] = 0,
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_name"] = "ToBack",
		["FX_rotatespeed"] = 0,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_timerposy"] = 0,
		["FX_mode"] = "BLEND",
		["FX_start_posx"] = 0,
		["FX_end_alpha"] = 0,
	}, -- [10]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 0,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 2,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Eclipse_Sun",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0.15,
		["FX_start_scale"] = 1,
		["FX_timerenable"] = false,
		["FX_angle"] = 10,
		["FX_speed"] = 60,
		["FX_height"] = "128",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "128",
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 3,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 0,
		["FX_start_alpha"] = 0,
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_name"] = "Explode",
		["FX_rotatespeed"] = 0,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_timerposy"] = 0,
		["FX_mode"] = "BLEND",
		["FX_start_posx"] = 0,
		["FX_end_alpha"] = 0,
	}, -- [11]
	{
		["FX_start_posy"] = 0,
		["FX_end_posx"] = 0,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 0,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Eclipse_Sun",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0.15,
		["FX_start_scale"] = 0,
		["FX_timerenable"] = false,
		["FX_angle"] = 10,
		["FX_speed"] = 30,
		["FX_height"] = "128",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "128",
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 0,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 0,
		["FX_start_alpha"] = 0,
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = 0,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_name"] = "Rotate",
		["FX_rotatespeed"] = 2,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_timerposy"] = 0,
		["FX_mode"] = "BLEND",
		["FX_start_posx"] = 0,
		["FX_end_alpha"] = 0,
	}, -- [12]
	{
		["FX_start_posy"] = 45,
		["FX_end_posx"] = -300,
		["FX_start_width"] = 1,
		["FX_chakerpower"] = 2.75,
		["FX_timerposx"] = 0,
		["FX_texture"] = "Textures\\SpellActivationOverlays\\Slice_and_Dice",
		["FX_timersmall"] = false,
		["FX_middle_alpha"] = 1,
		["FX_pulsespeedY"] = 0,
		["FX_end_height"] = 1,
		["FX_start_height"] = 1,
		["FX_customtexture"] = "",
		["FX_middle_height"] = 1,
		["FX_pulsepowerZ"] = 0.1,
		["FX_start_scale"] = 0,
		["FX_timerenable"] = false,
		["FX_angle"] = 0,
		["FX_speed"] = 45,
		["FX_height"] = "128",
		["FX_pulsepowerX"] = 0,
		["FX_end_width"] = 1,
		["FX_timeralpha"] = 0.25,
		["FX_width"] = "256",
		["FX_timerscale"] = 0.85,
		["FX_middle_posx"] = 0,
		["FX_end_scale"] = 2,
		["FX_middle_width"] = 1,
		["FX_pulsespeedZ"] = 17,
		["FX_start_alpha"] = 0,
		["FX_middle_scale"] = 1,
		["FX_end_posy"] = -115,
		["FX_middle_posy"] = 0,
		["FX_pulsespeedX"] = 0,
		["FX_name"] = "Thunderbolt",
		["FX_rotatespeed"] = 0,
		["FX_timerabove"] = false,
		["FX_pulsepowerY"] = 0,
		["FX_timerposy"] = 0,
		["FX_mode"] = "BLEND",
		["FX_start_posx"] = 120,
		["FX_end_alpha"] = 0,
	}, -- [13]

}